exports.mapAsyncIterator = function mapAsyncIterator(iterable, callback) {
  const iterator = iterable[Symbol.asyncIterator]();
  async function mapResult(result) {
    if (result.done) {
      return result;
    }
    try {
      return {
        value: await callback(result.value),
        done: !1
      };
    } catch (error) {
      if ("function" == typeof iterator.return) {
        try {
          await iterator.return();
        } catch (_e) {}
      }
      throw error;
    }
  }
  return {
    next: async () => mapResult(await iterator.next()),
    return: async () => "function" == typeof iterator.return ? mapResult(await iterator.return()) : {
      value: void 0,
      done: !0
    },
    async throw(error) {
      if ("function" == typeof iterator.throw) {
        return mapResult(await iterator.throw(error));
      }
      throw error;
    },
    [Symbol.asyncIterator]() {
      return this;
    }
  };
};
