import { GraphQLError } from "../shared.mjs";

const nameRe = /^[_\w][_\d\w]*$/;

function assertName(name) {
  if (!nameRe.test(name)) {
    throw new GraphQLError(`Expected name to match ${nameRe}.`);
  }
  return name;
}

function assertEnumValueName(name) {
  if ("true" === name || "false" === name || "null" === name) {
    throw new GraphQLError(`Enum values cannot be named: ${name}`);
  }
  return assertName(name);
}

export { assertEnumValueName, assertName };
