import { invariant } from "../jsutils/invariant.mjs";

import { executeSync } from "../execution/execute.mjs";

import { getIntrospectionQuery } from "./getIntrospectionQuery.mjs";

import { parse } from "../shared.mjs";

function introspectionFromSchema(schema, options) {
  const optionsWithDefaults = {
    specifiedByUrl: !0,
    directiveIsRepeatable: !0,
    schemaDescription: !0,
    inputValueDeprecation: !0,
    ...options
  };
  const document = parse(getIntrospectionQuery(optionsWithDefaults));
  const result = executeSync({
    schema,
    document
  });
  !result.errors && result.data || invariant(!1);
  return result.data;
}

export { introspectionFromSchema };
