var type_definition = require("../type/definition.js");

var shared = require("../shared.js");

exports.typeFromAST = function typeFromAST(schema, typeNode) {
  switch (typeNode.kind) {
   case shared.e.LIST_TYPE:
    {
      const innerType = typeFromAST(schema, typeNode.type);
      return innerType && new type_definition.GraphQLList(innerType);
    }

   case shared.e.NON_NULL_TYPE:
    {
      const innerType = typeFromAST(schema, typeNode.type);
      return innerType && new type_definition.GraphQLNonNull(innerType);
    }

   case shared.e.NAMED_TYPE:
    return schema.getType(typeNode.name.value);
  }
};
