var shared = require("../../shared.js");

exports.KnownFragmentNamesRule = function KnownFragmentNamesRule(context) {
  return {
    FragmentSpread(node) {
      const fragmentName = node.name.value;
      if (!context.getFragment(fragmentName)) {
        context.reportError(new shared.GraphQLError(`Unknown fragment "${fragmentName}".`, {
          nodes: node.name
        }));
      }
    }
  };
};
