var jsutils_groupBy = require("../../jsutils/groupBy.js");

var shared = require("../../shared.js");

exports.UniqueArgumentNamesRule = function UniqueArgumentNamesRule(context) {
  return {
    Field: checkArgUniqueness,
    Directive: checkArgUniqueness
  };
  function checkArgUniqueness(parentNode) {
    var _parentNode$arguments;
    const argumentNodes = null !== (_parentNode$arguments = parentNode.arguments) && void 0 !== _parentNode$arguments ? _parentNode$arguments : [];
    const seenArgs = jsutils_groupBy.groupBy(argumentNodes, (arg => arg.name.value));
    for (const [argName, argNodes] of seenArgs) {
      if (argNodes.length > 1) {
        context.reportError(new shared.GraphQLError(`There can be only one argument named "${argName}".`, {
          nodes: argNodes.map((node => node.name))
        }));
      }
    }
  }
};
