var shared = require("../../shared.js");

exports.UniqueFragmentNamesRule = function UniqueFragmentNamesRule(context) {
  const knownFragmentNames = Object.create(null);
  return {
    OperationDefinition: () => !1,
    FragmentDefinition(node) {
      const fragmentName = node.name.value;
      if (knownFragmentNames[fragmentName]) {
        context.reportError(new shared.GraphQLError(`There can be only one fragment named "${fragmentName}".`, {
          nodes: [ knownFragmentNames[fragmentName], node.name ]
        }));
      } else {
        knownFragmentNames[fragmentName] = node.name;
      }
      return !1;
    }
  };
};
